// $Id: regcache.h,v 1.3 1999/02/08 12:42:01 ccr Exp $
// regcache.cpp -- register cache space to be freed at end of program

// regcache offers a way to register allocated memory which is not freed
// for good reason,  just to let a debugger know it does not mean
// a memory leak.  Before you register memory with it, make sure you
// know it doesn't leak!

#include <stdlib.h>
#ifdef __cplusplus
extern "C" {
#endif
void* register_as_cache_mem(void *x);
void* unregister_cache_mem(void *x);
#define xfree(x) (unregister_cache_mem((void *)x), free(x))
void kpse_free(void *x);
#ifdef __cplusplus
}
#endif
